diff --git a/server/src/MouthConfig.cpp b/server/src/MouthConfig.cpp
index b13f06c..c87fa24 100644
--- a/server/src/MouthConfig.cpp
+++ b/server/src/MouthConfig.cpp
@@ -1,280 +1,284 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #include "MouthConfig.h"
 using namespace std;
 
-MouthConfig::MouthConfig(){
-    init_by_symbol("");
+MouthConfig::MouthConfig() {
+	init_by_symbol("");
 }
 
-MouthConfig::MouthConfig(string symbol){
-    init_by_symbol(symbol);
+MouthConfig::MouthConfig(string symbol) {
+	init_by_symbol(symbol);
 }
 
-
-MouthConfig::~MouthConfig(){
+MouthConfig::~MouthConfig() {
 }
 
-void MouthConfig::init_by_symbol(string symbol){
-    //default is no change:
-    for(int i=0; i<2; i++){
-        opening[i] = 0.0;
-        override[i] = 0.0;
-    }
-
-    //default?
-    if (symbol.length() == 0){
-        return;
-    }
-
-    //see http://www.phon.ucl.ac.uk/home/sampa/german.htm
-    if (symbol.length() ==1){
-        //single digit phonemes:
-        unsigned char sc = symbol.c_str()[0];
-        switch(sc){
-            default:
-                printf("> ignoring unknown phoneme '%c'\n",sc);
-                break;
+void MouthConfig::init_by_symbol(string symbol) {
+	// default is no change:
+	for (int i = 0; i < 2; i++) {
+		opening[i] = 0.0;
+		override[i] = 0.0;
+	}
 
-            case('_'): //pause
-                break;
+	// default?
+	if (symbol.length() == 0) {
+		return;
+	}
 
-            case('T'): //en: _th_in
-            case('D'): //en: _th_is
-                //as we dont have a tongue, only open the mouth slighly
-                override[CENTER] = true;
-                opening[CENTER] = 4.0;
-                break;
+	// see http://www.phon.ucl.ac.uk/home/sampa/german.htm
+	if (symbol.length() == 1) {
+		// single digit phonemes:
+		unsigned char sc = symbol.c_str()[0];
+		switch (sc) {
+			default:
+				printf("> ignoring unknown phoneme '%c'\n", sc);
+				break;
 
-            case('u'): //en: l_o_se
-                 override[CENTER] = true;
-                 opening[CENTER]  = 13.0;
+			case ('_'): // pause
+				break;
 
-            case('e'): //en: r_ai_se
-                 override[CENTER] = true;
-                 opening[CENTER]  = 5.0;
-                    break;
+			case ('T'): // en: _th_in
+			case ('D'): // en: _th_is
+				// as we dont have a tongue, only open the mouth slighly
+				override[CENTER] = true;
+				opening[CENTER] = 4.0;
+				break;
 
-            case('V'): //en: c_u_t
-                 override[CENTER] = true;
-                 opening[CENTER]  = 3.0;
-                 break;
+			case ('u'): // en: l_o_se
+				override[CENTER] = true;
+				opening[CENTER] = 13.0;
 
-            case('{'): //en: p_a_t
-                 //open mouth
-                 override[CENTER] = true;
-                 opening[CENTER]  = 12.0;
-                 break;
+			case ('e'): // en: r_ai_se
+				override[CENTER] = true;
+				opening[CENTER] = 5.0;
+				break;
 
-            case('w'): //en: _w_asp
-                //mouth nearly closed:
-                override[CENTER] = true;
-                opening[CENTER] = 4.0;
-                break;
+			case ('V'): // en: c_u_t
+				override[CENTER] = true;
+				opening[CENTER] = 3.0;
+				break;
 
-            case('p'): //Pein + en: _p_in
-            case('b'): //Bein
-                //close mouth at the center:
-                override[CENTER] = true;
-                break;
+			case ('{'): // en: p_a_t
+				// open mouth
+				override[CENTER] = true;
+				opening[CENTER] = 12.0;
+				break;
 
-            case('t'): //Teich
-            case('d'): //Deich
-            case('k'): //Kunst
-            case('g'): //Gunst
-                //open mouth at the center
-                override[CENTER] = true;
-                opening[CENTER]  = 11.0;
-                break;
+			case ('w'): // en: _w_asp
+				// mouth nearly closed:
+				override[CENTER] = true;
+				opening[CENTER] = 4.0;
+				break;
 
-            case('?'): //global stop?! ignore
-                break;
+			case ('p'): // Pein + en: _p_in
+			case ('b'): // Bein
+				// close mouth at the center:
+				override[CENTER] = true;
+				break;
 
-            case('f'): //fast
-            case('v'): //was
-            case('@'): // unstressed "schwa" vowel is
-                override[CENTER] = true;
-                opening[CENTER] = 4.0;
-                break;
+			case ('t'): // Teich
+			case ('d'): // Deich
+			case ('k'): // Kunst
+			case ('g'): // Gunst
+				// open mouth at the center
+				override[CENTER] = true;
+				opening[CENTER] = 11.0;
+				break;
 
-            case('z'): //Tasse
-            case('s'): //Tasse
-            case('Z'): //Genie
-            case('C'): //Ich
-            case('j'): //Jahr
-            case('x'): //Buch
-            case('h'): //Hand
-                override[CENTER] = true;
-                opening[CENTER] = 7.0;
-                break;
+			case ('?'): // global stop?! ignore
+				break;
 
-            case('S'): //waschen
-            case('O'): //Trotz
-            case('9'): //plötzlich
-                override[CENTER] = true;
-                opening[CENTER] = 11.0;
-                break;
+			case ('f'): // fast
+			case ('v'): // was
+			case ('@'): // unstressed "schwa" vowel is
+				override[CENTER] = true;
+				opening[CENTER] = 4.0;
+				break;
 
-            case('m'): //mein
-                override[CENTER] = true;
-                break;
+			case ('z'): // Tasse
+			case ('s'): // Tasse
+			case ('Z'): // Genie
+			case ('C'): // Ich
+			case ('j'): // Jahr
+			case ('x'): // Buch
+			case ('h'): // Hand
+				override[CENTER] = true;
+				opening[CENTER] = 7.0;
+				break;
 
-            case('n'): //nein
-            case('N'): //Ding
-            case('l'): //leim
-            case('R'): //Reim
-            case('r'): //en: wrong
-            case('I'): //Sitz
-            case('i'): //en: _ea_se
-            case('E'): //gesetz
-            case('a'): //Satz
-            case('U'): //Schutz
-            case('Y'): //hübsch
-                override[CENTER] = true;
-                opening[CENTER] = 7.0;
-                break;
+			case ('S'): // waschen
+			case ('O'): // Trotz
+			case ('9'): // plötzlich
+				override[CENTER] = true;
+				opening[CENTER] = 11.0;
+				break;
 
-            case('o'): //en: n_o_se
-            case('Q'): //gb: p_o_t
-            case('A'): //english o
-                override[CENTER] = true;
-                opening[CENTER]  = 13.0;
-                break;
-            //r:
-            case('6'): //besser
-                override[CENTER] = true;
-                opening[CENTER] = 3.0;
-                break;
-
-        }
-    }else if (symbol.length() == 2){
-        if (symbol == "pf"){ //Pfahl
-            override[CENTER] = true;
-        }else if(symbol == "ts"){ //Zahl
-            override[CENTER] = true;
-            opening[CENTER]  = 11.0;
-        }else if(symbol == "tS"){ //deutsch
-            override[CENTER] = true;
-            opening[CENTER]  = 10.5;
-        }else if(symbol == "dZ"){ //Dschungel
-            override[CENTER] = true;
-            opening[CENTER]  = 11.0;
-        }else if (
-                (symbol == "OI") || //en: n_oi_se
-                (symbol == "@`") || //en: c_o_rner
-                (symbol == "@U") || //gb: n_o_se
-                (symbol == "o:") || //rot
-                (symbol == "O:") || //gb: c_au_se
-                (symbol == "U@") || //gb: c_u_res
-                (symbol == "u:") || //Blut
-                (symbol == "y:") || //süß
-                (symbol == "2:") || //blöd
-                (symbol == "aU")    //Haus
-                  ){
-            override[CENTER] = true;
-            opening[CENTER]  = 13.0;
-        }else if (
-                (symbol == "i:") || //Lied
-                (symbol == "I@") || //gb: f_ea_rs
-                (symbol == "e:") || //Beet
-                (symbol == "E:") || //spät
-                (symbol == "a:") || //Tat
-                (symbol == "A:")    //gb: st_a_rs
-                  ){
-            override[CENTER] = true;
-            opening[CENTER]  = 9.0;
-        }else if (
-                  (symbol == "aI")|| //Eis
-                  (symbol == "eI")   //gb: r_ai_se
-                  ){
-            override[CENTER] = true;
-            opening[CENTER]  = 5.0;
-        }else if(
-                 (symbol == "OY") || //Kreuz
-                 (symbol == "3:") || //gb: f_ur_s
-                 (symbol == "3`")    //en: f_ur_s
-                 ){
-            override[CENTER] = true;
-            opening[CENTER]  = 5.0;
-        }else if (
-                  (symbol == "I6") || //Wirt
-                  (symbol == "Y6") || //Türke
-                  (symbol == "E6") || //Berg
-                  (symbol == "96") || //Wörter
-                  (symbol == "a6") || //hart
-                  (symbol == "U6") || //kurz
-                  (symbol == "e@") || //gb: st_ai_rs
-                  (symbol == "O6") //dort
-                  ){
-            override[CENTER] = true;
-            opening[CENTER]  = 5.0;
-        }
-    }else if (symbol.length() == 3){
-        if(
-                (symbol == "i:6") || //Tier
-                (symbol == "y:6") || //Tür
-                (symbol == "e:6") || //schwer
-                (symbol == "E:6") || //Bär
-                (symbol == "2:6") || //Föhr
-                (symbol == "a:6") || //Haar
-                (symbol == "u:6") || //Kur
-                (symbol == "o:6")    //Ohr
-                ){
-            override[CENTER] = true;
-            opening[CENTER]  = 5.0;
-        }else{
-            printf("> invalid phoneme '%s' unhandled\n",symbol.c_str());
-        }
-    }else{
-        printf("> invalid phoneme length, phoneme '%s' unhandled\n",symbol.c_str());
-    }
+			case ('m'): // mein
+				override[CENTER] = true;
+				break;
 
+			case ('n'): // nein
+			case ('N'): // Ding
+			case ('l'): // leim
+			case ('R'): // Reim
+			case ('r'): // en: wrong
+			case ('I'): // Sitz
+			case ('i'): // en: _ea_se
+			case ('E'): // gesetz
+			case ('a'): // Satz
+			case ('U'): // Schutz
+			case ('Y'): // hübsch
+				override[CENTER] = true;
+				opening[CENTER] = 7.0;
+				break;
 
+			case ('o'): // en: n_o_se
+			case ('Q'): // gb: p_o_t
+			case ('A'): // english o
+				override[CENTER] = true;
+				opening[CENTER] = 13.0;
+				break;
+			// r:
+			case ('6'): // besser
+				override[CENTER] = true;
+				opening[CENTER] = 3.0;
+				break;
+		}
+	}
+	else if (symbol.length() == 2) {
+		if (symbol == "pf") { // Pfahl
+			override[CENTER] = true;
+		}
+		else if (symbol == "ts") { // Zahl
+			override[CENTER] = true;
+			opening[CENTER] = 11.0;
+		}
+		else if (symbol == "tS") { // deutsch
+			override[CENTER] = true;
+			opening[CENTER] = 10.5;
+		}
+		else if (symbol == "dZ") { // Dschungel
+			override[CENTER] = true;
+			opening[CENTER] = 11.0;
+		}
+		else if ((symbol == "OI") || // en: n_oi_se
+		         (symbol == "@`") || // en: c_o_rner
+		         (symbol == "@U") || // gb: n_o_se
+		         (symbol == "o:") || // rot
+		         (symbol == "O:") || // gb: c_au_se
+		         (symbol == "U@") || // gb: c_u_res
+		         (symbol == "u:") || // Blut
+		         (symbol == "y:") || // süß
+		         (symbol == "2:") || // blöd
+		         (symbol == "aU")    // Haus
+		) {
+			override[CENTER] = true;
+			opening[CENTER] = 13.0;
+		}
+		else if ((symbol == "i:") || // Lied
+		         (symbol == "I@") || // gb: f_ea_rs
+		         (symbol == "e:") || // Beet
+		         (symbol == "E:") || // spät
+		         (symbol == "a:") || // Tat
+		         (symbol == "A:")    // gb: st_a_rs
+		) {
+			override[CENTER] = true;
+			opening[CENTER] = 9.0;
+		}
+		else if ((symbol == "aI") || // Eis
+		         (symbol == "eI")    // gb: r_ai_se
+		) {
+			override[CENTER] = true;
+			opening[CENTER] = 5.0;
+		}
+		else if ((symbol == "OY") || // Kreuz
+		         (symbol == "3:") || // gb: f_ur_s
+		         (symbol == "3`")    // en: f_ur_s
+		) {
+			override[CENTER] = true;
+			opening[CENTER] = 5.0;
+		}
+		else if ((symbol == "I6") || // Wirt
+		         (symbol == "Y6") || // Türke
+		         (symbol == "E6") || // Berg
+		         (symbol == "96") || // Wörter
+		         (symbol == "a6") || // hart
+		         (symbol == "U6") || // kurz
+		         (symbol == "e@") || // gb: st_ai_rs
+		         (symbol == "O6")    // dort
+		) {
+			override[CENTER] = true;
+			opening[CENTER] = 5.0;
+		}
+	}
+	else if (symbol.length() == 3) {
+		if ((symbol == "i:6") || // Tier
+		    (symbol == "y:6") || // Tür
+		    (symbol == "e:6") || // schwer
+		    (symbol == "E:6") || // Bär
+		    (symbol == "2:6") || // Föhr
+		    (symbol == "a:6") || // Haar
+		    (symbol == "u:6") || // Kur
+		    (symbol == "o:6")    // Ohr
+		) {
+			override[CENTER] = true;
+			opening[CENTER] = 5.0;
+		}
+		else {
+			printf("> invalid phoneme '%s' unhandled\n", symbol.c_str());
+		}
+	}
+	else {
+		printf("> invalid phoneme length, phoneme '%s' unhandled\n", symbol.c_str());
+	}
 }
 
+void MouthConfig::apply_on_mouth_state(humotion::MouthState* m) {
+	if (override[LEFT]) {
+		m->opening_left = opening[LEFT];
+	}
+	else {
+		m->opening_left += opening[LEFT];
+	}
 
-void MouthConfig::apply_on_mouth_state(humotion::MouthState *m){
-    if (override[LEFT]){
-        m->opening_left = opening[LEFT];
-    }else{
-        m->opening_left += opening[LEFT];
-    }
-
-    if (override[CENTER]){
-        m->opening_center = opening[CENTER];
-    }else{
-        m->opening_center += opening[CENTER];
-    }
+	if (override[CENTER]) {
+		m->opening_center = opening[CENTER];
+	}
+	else {
+		m->opening_center += opening[CENTER];
+	}
 
-    if (override[RIGHT]){
-        m->opening_right = opening[RIGHT];
-    }else{
-        m->opening_right += opening[RIGHT];
-    }
+	if (override[RIGHT]) {
+		m->opening_right = opening[RIGHT];
+	}
+	else {
+		m->opening_right += opening[RIGHT];
+	}
 }
diff --git a/server/src/Utterance.cpp b/server/src/Utterance.cpp
index 7dc945c..b16d949 100644
--- a/server/src/Utterance.cpp
+++ b/server/src/Utterance.cpp
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #include "Utterance.h"
 using namespace std;
@@ -32,88 +32,94 @@ using namespace boost;
 
 #define DEBUG_PRINT_PHONEMES 1
 
-Utterance::Utterance(){
-    playing = false;
-    text = "UNINITIALISED UTTERANCE";
-    audio_data = boost::shared_ptr<AudioData>(new AudioData());
+Utterance::Utterance() {
+	playing = false;
+	text = "UNINITIALISED UTTERANCE";
+	audio_data = boost::shared_ptr<AudioData>(new AudioData());
 }
 
-void Utterance::set_phoneme_vector(phonemes_vector_t p){
-    phonemes_vector = p;
+void Utterance::set_phoneme_vector(phonemes_vector_t p) {
+	phonemes_vector = p;
 }
 
-void Utterance::set_text(string t){
-    text = t;
+void Utterance::set_text(string t) {
+	text = t;
 }
 
-void Utterance::set_audio_data(boost::shared_ptr<AudioData> a){
-    audio_data = a;
+void Utterance::set_audio_data(boost::shared_ptr<AudioData> a) {
+	audio_data = a;
 }
 
-Utterance::~Utterance(){
+Utterance::~Utterance() {
 }
 
-string Utterance::get_text(){
-    return text;
+string Utterance::get_text() {
+	return text;
 }
 
-boost::shared_ptr<AudioData> Utterance::get_audio_data(){
-    return audio_data;
+boost::shared_ptr<AudioData> Utterance::get_audio_data() {
+	return audio_data;
 }
 
-void Utterance::start_playback(){
-    if (phonemes_vector.size() == 0){
-        printf("> we have an empty phoneme vector. not playing.\n");
-        return;
-    }
+void Utterance::start_playback() {
+	if (phonemes_vector.size() == 0) {
+		printf("> we have an empty phoneme vector. not playing.\n");
+		return;
+	}
 
-    //set iterator to start:
-    phonemes_vector_iterator = phonemes_vector.begin();
+	// set iterator to start:
+	phonemes_vector_iterator = phonemes_vector.begin();
 
-    //fetch first end time
-    symbol_duration_pair_t symbol_duration_pair = *phonemes_vector_iterator;
-    symbol_end_time = get_system_time() + boost::posix_time::milliseconds(symbol_duration_pair.second);
+	// fetch first end time
+	symbol_duration_pair_t symbol_duration_pair = *phonemes_vector_iterator;
+	symbol_end_time = get_system_time() + boost::posix_time::milliseconds(symbol_duration_pair.second);
 
-    printf("> we have %d pairs\n",(int)phonemes_vector.size());
+	printf("> we have %d pairs\n", (int)phonemes_vector.size());
 
-    //go!
-    playing = true;
+	// go!
+	playing = true;
 }
 
-string Utterance::currently_active_phoneme(){
-    //not active -> return
-    if (!playing) return "";
-
-    //empty phoneme list
-    if (phonemes_vector.size() == 0) return "";
-
-    system_time now = get_system_time();
-
-    while(now > symbol_end_time){
-        //fetch next phoneme:
-        symbol_duration_pair_t symbol_duration_pair = *phonemes_vector_iterator;
-        symbol_end_time = symbol_end_time + boost::posix_time::milliseconds(symbol_duration_pair.second);
-        //printf("time: %d", symbol_duration_pair.second);
-
-        //do we have to increment the iterator or are we done? (NOTE: -1 is necessary here!)
-        if (phonemes_vector_iterator < phonemes_vector.end() - 1){
-            phonemes_vector_iterator++;
-        }else{
-            //reached end, stop playback
-            playing=false;
-            return "";
-            if (DEBUG_PRINT_PHONEMES) printf("\n");
-        }
-    }
-
-    //fetch active symbol:
-    string symbol = ((symbol_duration_pair_t)*phonemes_vector_iterator).first;
-    //printf("> active symbol = %s\n",symbol.c_str());
-    if (DEBUG_PRINT_PHONEMES) printf("%s ",symbol.c_str()); fflush(stdout);
-
-    return symbol;
+string Utterance::currently_active_phoneme() {
+	// not active -> return
+	if (!playing)
+		return "";
+
+	// empty phoneme list
+	if (phonemes_vector.size() == 0)
+		return "";
+
+	system_time now = get_system_time();
+
+	while (now > symbol_end_time) {
+		// fetch next phoneme:
+		symbol_duration_pair_t symbol_duration_pair = *phonemes_vector_iterator;
+		symbol_end_time = symbol_end_time + boost::posix_time::milliseconds(symbol_duration_pair.second);
+		// printf("time: %d", symbol_duration_pair.second);
+
+		// do we have to increment the iterator or are we done? (NOTE: -1 is necessary here!)
+		if (phonemes_vector_iterator < phonemes_vector.end() - 1) {
+			phonemes_vector_iterator++;
+		}
+		else {
+			// reached end, stop playback
+			playing = false;
+			return "";
+			if (DEBUG_PRINT_PHONEMES)
+				printf("\n");
+		}
+	}
+
+	// fetch active symbol:
+	string symbol = ((symbol_duration_pair_t)*phonemes_vector_iterator).first;
+	// printf("> active symbol = %s\n",symbol.c_str());
+	if (DEBUG_PRINT_PHONEMES)
+		printf("%s ", symbol.c_str());
+	fflush(stdout);
+
+	return symbol;
 }
 
-bool Utterance::is_playing(){
-    return playing;
+bool Utterance::is_playing() {
+	return playing;
 }
diff --git a/server/src/main.cpp b/server/src/main.cpp
index 38c52cb..e6ce5ed 100644
--- a/server/src/main.cpp
+++ b/server/src/main.cpp
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #include "MiddlewareRSB.h"
 #include "MiddlewareROS.h"
@@ -39,74 +39,75 @@
 #include <boost/thread/thread.hpp>
 #include <boost/algorithm/string.hpp>
 
-Arbiter *arbiter;
+Arbiter* arbiter;
 
 using namespace std;
 using namespace boost;
 
-int main(int argc, char *argv[]) {
-    if ((argc != 5) && (argc != 6)){
-        printf("> ERROR: invalid number of parameters passed to server!\n\nusage: %s <mw_hlrc> <mw_humotion> <base scopename hlrc> <base scopename humotion> [<audio output>]  (example: %s RSB RSB /flobi1/ pulse )\n",argv[0],argv[0]);
-        printf("          audio output is optional and can be {pulse,oss,alsa,null,sndio,..}\n\n");
-        exit(EXIT_FAILURE);
-    }
+int main(int argc, char* argv[]) {
+	if ((argc != 5) && (argc != 6)) {
+		printf("> ERROR: invalid number of parameters passed to server!\n\nusage: %s <mw_hlrc> <mw_humotion> <base scopename "
+		       "hlrc> <base scopename humotion> [<audio output>]  (example: %s RSB RSB /flobi1/ pulse )\n",
+		       argv[0], argv[0]);
+		printf("          audio output is optional and can be {pulse,oss,alsa,null,sndio,..}\n\n");
+		exit(EXIT_FAILURE);
+	}
 
-    printf("> hlrc_server starting\n");
+	printf("> hlrc_server starting\n");
 
-    //fetch scope from cmd line
-    std::string scope_hlrc = argv[3];
-    std::string scope_humotion = argv[4];
+	// fetch scope from cmd line
+	std::string scope_hlrc = argv[3];
+	std::string scope_humotion = argv[4];
 
-    //fetch middleware from cmd line
-    std::string mw = argv[1];
-    to_upper(mw); //convert to uppercase
+	// fetch middleware from cmd line
+	std::string mw = argv[1];
+	to_upper(mw); // convert to uppercase
 
-    //fetch mw for humotion
-    std::string mw_humotion = argv[2];
+	// fetch mw for humotion
+	std::string mw_humotion = argv[2];
 
-    //arbiter
-    std::string sound_output = "pulse";
-    if (argc == 6){
-        sound_output = argv[5];
-    }
-    arbiter = new Arbiter(sound_output);
+	// arbiter
+	std::string sound_output = "pulse";
+	if (argc == 6) {
+		sound_output = argv[5];
+	}
+	arbiter = new Arbiter(sound_output);
 
-    //mw connection
-    Middleware *middleware;
-    if (mw == "ROS"){
-        middleware = new MiddlewareROS(arbiter, scope_hlrc);
-    }else{
-        middleware = new MiddlewareRSB(arbiter, scope_hlrc);
-    }
+	// mw connection
+	Middleware* middleware;
+	if (mw == "ROS") {
+		middleware = new MiddlewareROS(arbiter, scope_hlrc);
+	}
+	else {
+		middleware = new MiddlewareRSB(arbiter, scope_hlrc);
+	}
 
-    //human motion connection:
-    humotion::client::Client *client = new humotion::client::Client(scope_humotion, mw_humotion);
+	// human motion connection:
+	humotion::client::Client* client = new humotion::client::Client(scope_humotion, mw_humotion);
 
-    printf("> all done. hlrc server ready\n");
+	printf("> all done. hlrc server ready\n");
 
-    //send values to human motion server
-    float loop_delay = 1000.0 / 50.0; //run with 50Hz
-    boost::system_time timeout = get_system_time() + posix_time::milliseconds(loop_delay);
+	// send values to human motion server
+	float loop_delay = 1000.0 / 50.0; // run with 50Hz
+	boost::system_time timeout = get_system_time() + posix_time::milliseconds(loop_delay);
 
-    while(client->ok()){
-        middleware->tick();
+	while (client->ok()) {
+		middleware->tick();
 
-        //find correct arbitration
-        arbiter->arbitrate();
+		// find correct arbitration
+		arbiter->arbitrate();
 
-        //periodically send mouth & gaze target
-        client->update_mouth_target(arbiter->get_mouth_state());
-        client->update_gaze_target(arbiter->get_gaze_state());
-        client->send_all();
+		// periodically send mouth & gaze target
+		client->update_mouth_target(arbiter->get_mouth_state());
+		client->update_gaze_target(arbiter->get_gaze_state());
+		client->send_all();
 
-        //debug:
-        //arbiter->get_mouth_state().dump();
+		// debug:
+		// arbiter->get_mouth_state().dump();
 
-        thread::sleep(timeout);
-        timeout = get_system_time() + posix_time::milliseconds(loop_delay);
-    }
-
-    return EXIT_SUCCESS;
+		thread::sleep(timeout);
+		timeout = get_system_time() + posix_time::milliseconds(loop_delay);
+	}
 
+	return EXIT_SUCCESS;
 }
-
